Subject: bug#38748: 28.0.50; crash on MacOS 10.15.2

From: Pieter van Oostrum <[email-masked]>
Date: Sun, 05 Jan 2020 20:41:49 +0100

Alan Third <[email-masked]> writes:

> On Sat, Jan 04, 2020 at 05:48:04PM +0100, Pieter van Oostrum wrote:
>> Andrii Kolomoiets <[email-masked]> writes:
>> 
>> > But I found the commit after which error is occurs:
>> > b2949d39261e82c33572ba8a250298ef0b165b95
>> >
>> > Commenting out that 'ok = false;' line make Emacs works without errors.
>> >
>> > Justin, can you please check if Emacs prior to that commit is works fine
>> > for you?
>> 
>> I had Emacs built from master a few days ago, and got the same
>> crashes, about twice a day, often when Emacs was idle.
>> So I decided to compile from the parent of the commit mentioned above, which is 73f37da12d.
>> 
>> However, this one also crashed, albeit with a different crash. See the attachment.
>> 
>> 8   org.gnu.Emacs                 	0x00000001011cdb58 handle_fatal_signal + 24
>> 9   org.gnu.Emacs                 	0x00000001011cdbf2 deliver_thread_signal + 146
>> 10  org.gnu.Emacs                 	0x00000001011cb3da deliver_fatal_thread_signal + 26
>> 11  org.gnu.Emacs                 	0x00000001011cdc96 handle_sigsegv + 134
>> 12  libsystem_platform.dylib      	0x00007fff756adf5a _sigtramp + 26
>> 13  ???                           	000000000000000000 0 + 0
>> 14  org.gnu.Emacs                 	0x0000000101053bab Fmouse_pixel_position + 187
>
> Hmm, I made a change to the NS mouse position code recently
>
> fbf9fea4fdad467429058077b8087dbd0758b964
>
> Perhaps that’s related somehow.

No. I compiled the version before that (9042ece787cf93665776ffb69893fcb1357aacbe) and it crashed with exactly the same crash. So, no, it must have been introduced before that.
On the other hand, I have been working before this with a version from Dec 1, 2019 (I think 9f2145f42daab13aed5cf89fdb6a7c5579819ec0) and I have used that quite a time without crashes. Whereas the other versions crashed 1-2 times a day.
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]